emacs23所自带的org-mode的版本稍微有些旧,比如6.21b什么的。为了和其他的package匹配,共同协作,往往需要升级(upgrade)。比如在使用org2blog编写和发布wordpress的博客的时候,就需要org-mode 7.0以上的支持。

真正开始沉迷于emacs的世界为时尚浅,作为初学者,参照了org-mode的安装页面之后,有了几个疑问。一:发现有tar.gz,还有github的不同下载包,而且安装的细节还有细微的不同;二:下载包下载后,还要进行make,可能是少见多怪吧,觉得这点和很多其他的emacs扩展package不太一样;三:emacs23已经有自带的org-mode了,upgrade的时候,是直接覆盖这个老版本吗?会有文件的冲突吗?(凭经验,有时候全新安装比upgrade要干净。)

经过尝试,顺利地把org-mode升级到了7.9.1版本,这里记录一下,作为笔记。

阅读全文

现在开始尝试用Emacs编写和发布Wordpress的博客文章啦。这是第一篇!就记载在设置过程中遇到的最困惑的地方吧。

我采用的是org2blog + org-mode + xml-rpc.el的组合来实现Emacs编写wordpress文章的。 安装和设置的过程,一路磕磕碰碰,终于走到了最后一步:使用org2blog的发布命令:org2blog/wp-post-buffer, 这个时候就碰到了这样的错误信息: Symbol’s function definition is void: org-save-outline-visibility

阅读全文